Package com.sun.jna.platform.win32

# Class WinNT.PACLByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.win32.WinNT.PACLByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinNT

public static class WinNT.PACLByReference extends ByReference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PACLByReference()`
  `PACLByReference(WinNT.ACL h)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.ACL`
  `getValue()`
  `void`
  `setValue(WinNT.ACL h)`

  ### Methods inherited from class com.sun.jna.ptr.ByReference

  `toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PACLByReference

    public PACLByReference()

  - ### PACLByReference

    public PACLByReference(WinNT.ACL h)

- ## Method Details

  - ### setValue

    public void setValue(WinNT.ACL h)

  - ### getValue

    public WinNT.ACL getValue()